package BCD::Bcd;

use strict;
use XML::Simple;
use Data::Dumper;
use Pod::Usage;

use BCD::Common qw(:DEFAULT $isoconf $wd $name $arch $version $isodir $builddir);
use BCD::Genisoimage;
use BCD::Isolinux;
use BCD::Stagex;
use BCD::Media;

our @ISA = qw(Exporter);
our @EXPORT = qw(main_bcd);
my $color = "cyan";

sub print_info() {
	print Dumper($isoconf);
}

sub help_bcd {
	pod2usage(-verbose => 1, -input => "bcd.pod");
}

sub generate_xml {
print '
<?xml version="1.0"?>
<productname>
</productname>
';
}

sub do_all {
	clean_all;
	check_dir;
	main_isolinux;
	main_stagex;
	main_media;
	main_iso;
	show_info();
}

sub show_info {
     print "\n";
     print "ISO: $isodir\n";
     print "build dir: $builddir\n";
     print "LOG of media: /tmp/$name-$version\n";
     print "\n";
}

sub main_bcd() {
    my %opts = (
	'' => \&help_bcd,
	info => \&print_info,
	xml => \&generate_xml,
	iso => \&main_iso,
	md5 => \&create_md5,
	stage => \&main_stagex,
	isolinux => \&main_isolinux,
	media => \&main_media,
	clean => \&clean_all,
	all => \&do_all,
	);
    
    $opts{$_} = $bcd::{$_} foreach
	qw(print_info generate_xml main_iso create_md5 main_stagex main_isolinux clean_all main_media);

    $ARGV[0] or help_bcd;
    -f $ARGV[0] or die "Cant acces to $ARGV[0]\n";
    if (my $f = $opts{$ARGV[1]}) {
	$f->();
    } else {
	print " ** Dont know what todo ** \n";
	print " unknow option \n";
    }
}


1;
