package BCD::Common;

use strict;
use XML::Simple;
use Term::ANSIColor;
use File::Copy::Recursive qw(dircopy pathrm);

use BCD::Bcd qw(:DEFAULT $conf_file);

our @ISA = qw(Exporter);
our @EXPORT = qw(create_needed_dir check_dir clean_all print_color);
# export all needed var
our @EXPORT_OK = qw($isoconf $wd $name $arch $file $version $repo $isodir $builddir);

my $LOG="COMMON -";
my $color = "red";

my $conf_file = $ARGV[0];
our $isoconf = XMLin($conf_file, keyattr => ['']);

our $name = $isoconf->{nameid};
our $wd = $isoconf->{workdir}{path};
our $arch = $isoconf->{arch};
our $version = $isoconf->{version};
our $repo = $isoconf->{repo}{path};
our $builddir = "$wd/$isoconf->{iso}{genisoimage}{builddir}/$name-$version-$arch/$arch";
our $isodir = "$wd/$isoconf->{iso}{genisoimage}{isodir}/$name-$version-$arch";


sub print_color {
	my ($text, $color) = @_;
	print color $color;
	print "$text\n";
	print color 'reset';
	
}

sub create_needed_dir {
	my ($dir) = @_;
        # create needed dir to create the build tree, and to store the ISO
	if (! -d $dir) {
		#mkdir $dir, 0755;
		print_color("$LOG creation of $dir", $color);
		system("mkdir -p $dir");
	} else {
		print_color("$LOG $dir already exist", $color);
	}
}

sub check_dir {
	create_needed_dir("$builddir");
	create_needed_dir("$isodir/$isoconf->{mediainfo}{mediar_infodir}");
	create_needed_dir("$isodir");
}

sub clean_all {
	print_color("$LOG rmdir $builddir", $color);
	#pathrm("$wd/$isoconf->{iso}{genisoimage}{builddir}/$name/$arch") or die $!;
        -d "$builddir" and system("rm -rf $builddir");
	print_color("$LOG rmdir $isodir", $color);
	#pathrm("$wd/$isoconf->{iso}{genisoimage}{isodir}/$name/$arch") or die $!;
	-d "$isodir" and system("rm -rf $isodir");
	-d "/tmp/$name-$version" and system("sudo rm -rf /tmp/$name-$version");
}
1;
