package BCD::Stagex;


use strict;
use XML::Simple;
use File::Copy::Recursive qw(dircopy pathrm);
use BCD::Common qw(:DEFAULT $isoconf $wd $name $arch $version $builddir);

our @ISA = qw(Exporter);
our @EXPORT = qw(main_stagex);

my $LOG="STAGEX -";
my $color = "blue";

sub update_stage {
# define the repositery where to find distribution
my $repo_dir = $isoconf->{repo}{path};
-d $repo_dir or print_color("$LOG $repo_dir does not exists !", $color) and exit;

my $installer_dir;
if ($isoconf->{installer}{fulltpath} =~ //) {
        $installer_dir = "$repo_dir/$version/$arch/$isoconf->{installer}{defaultpath}";
} else {
	$installer_dir = $isoconf->{installer}{fullpath};
}
-d $installer_dir or print_color("$LOG $installer_dir does not exists !", $color) and exit;

my $installer_destdir = "$builddir/$isoconf->{installer}{defaultpath}";

#	print "$LOG remove old copy $builddir\n";
#	pathrm($builddir) or die $!;
	print_color("$LOG copy $installer_dir to $installer_destdir", $color);
	dircopy($installer_dir, $installer_destdir) or die $!;
}

sub main_stagex {
	update_stage;
}

1;
